Package org.apache.wiki

# Class InternalWikiException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.wiki.InternalWikiException

All Implemented Interfaces:
  `Serializable`

public class InternalWikiException extends RuntimeException
Denotes something really serious going on inside Wiki. It is a runtime exception so that the API does not need to be changed, but it's helluva lot better than NullPointerException =).

Since:
  1.6.9
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InternalWikiException(String msg)`
Create a new InternalWikiException.
`InternalWikiException(String message, Throwable cause)`
`InternalWikiException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InternalWikiException

public InternalWikiException(String msg)
Create a new InternalWikiException.

Parameters:
  `msg` - The Exception message.

### InternalWikiException

public InternalWikiException(String message, Throwable cause)

### InternalWikiException

public InternalWikiException(Throwable cause)